$(function(){
    initTableLg();
});
//查询
$('#searchLgBtn').click(function () {
    if (tipLoad == 0) {
        $("#tableLg").bootstrapTable("refreshOptions", {pageNumber: 1});
    } else {
        toastr.warning("正在查询，请稍等...");
    }
});
function initTableLg() {
    if(tipLoad == 1){
        $("#tableLg").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path + "/observationRecord/getObservationRecordList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            smartDisplay: false,
            pageSize: 2, // 页面数据条数
            pageNumber: 1, // 初始化加载第一页，默认第一页
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            // sortable: true,
            // sortOrder: "asc",
            toolbar: '#toolbarLg',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: 560,     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }

                var limit= null;
                var offset= params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset=0;
                    limit=this.totalRows;
                    this.pageSize= limit;
                }else{
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    order: params.order,      //排位命令（desc，asc）
                    patientId: $("#patientId1").val(),
                    inpNo: "" + $("#inpNo1").val(),
                    visitId:""+$("#visitId1").val(),
                    name:""+$("#name1").val(),
                    startDateTo:$("#startDateTo2").val(),
                    endDateTo:$("#endDateTo2").val(),
                    startDate:$("#startDateTo1").val(),
                    endDate:$("#endDateTo1").val(),
                    deathFlag:$("#deathFlag").val(),
                    archivestate: "" + $("#archivestate").val(),
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle',

            },
                {
                    title: '序号',
                    field: 'id',
                    align: 'center',
                    valign: 'middle',
                    //sortable: true,
                    visible: false,
                    formatter: function (value, row, index) {
                        return index + 1;
                    }
                },
                {
                    title: '患者ID',
                    field: 'patientId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '留观号',
                    field: 'inpNo',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '留观次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '姓名',
                    field: 'name',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '留观开始日期',
                    field: 'admissionDateTime',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '留观结束日期',
                    field: 'dischargeDateTime',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '归档状态',
                    field: 'archivestate',
                    align: 'center',
                    valign: 'middle',
                    /*formatter: function (value, row, index) {
                        //在院  未归档  归档中  初审 已归档 已认证
                        //在院  未归档  归档中  初审 已归档 已认证 复审退回
                        var a = '';
                        if (value == "初审") {
                            a = '<span style="color:#8FBC8F"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        } else if (value == "复审退回") {
                            a = '<span style="color:red"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        }
                        return a;
                    }*/
                },
                {
                    title: '是否死亡',
                    field: 'deathFlag',
                    align: 'center',
                    formatter: function (value, row, index) {
                        var htmlVal="";
                        if (value == "否") {
                            htmlVal += '<span style="color:green;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>'+value+'</span>';
                        } else {
                            htmlVal += '<span style="color:red;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>'+value+'</span>';
                        }
                        return htmlVal;

                    },
                },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    width: 80, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        var url = window.location.href;
                        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
                        var html = '';
                        if (index != null && index != "" && index.indexOf("select") != -1) {
                            html = '<button type="button" class="btn btn-danger btn-sm selInfo" >查看</button>';
                        }
                        if (index != null && index != "" && index.indexOf("last") != -1) {
                            html += '<button type="button" class="btn btn-sm btn-primary verifyInfo">审核</button>';
                        }
                        return html;

                    },
                    events: {
                        'click .verifyInfo': function (e, value, row, index) {
                            lashVerifyApprove(row,'tableLg');
                        },
                        'click .selInfo': function (e, value, row, index) {
                            selIno(row,'tableLg');
                            $("#patientIdLab").html(row.patientId);
                            $("#nameLab1").html(row.name);
                            $("#deptToLab1").html(row.admissionDateTime);
                            $("#inDateLab1").html(row.dischargeDateTime);
                            $("#inLab1").html(row.inpNo);
                            $("#inTimeLab1").html(row.visitId);
                        }
                    },
                    cellStyle: function (value, row, index) {
                        return {classes: 'success'}

                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                //console.info("加载成功");
                tipLoad = 0;
            },
            onLoadError: function () {  //加载失败时执行
                //console.info("加载数据失败");
                tipLoad = 0;
            }
        });
    }
}

//导出excel功能
$("#excelLgBtn").click(function () {
    var patientId =  $("#patientId1").val();
    var inpNo =  "" + $("#inpNo1").val();
    var visitId = ""+$("#visitId1").val();
    var name = ""+$("#name1").val();
    var archivestate =  "" + $("#archivestate").val();
    var startDateTo = $("#startDateTo2").val();
    var endDateTo = $("#endDateTo2").val();
    var startDate = $("#startDateTo1").val();
    var endDate = $("#endDateTo1").val();
    var deathFlag = $("#deathFlag").val();
    window.location.href = path + "/observationRecord/exportExcel?patientId=" + patientId + "&inpNo=" + inpNo + "&visitId=" + visitId +
        "&name=" + name + "&startDateTo=" + startDateTo + "&endDateTo=" + endDateTo + "&startDate=" + startDate + "&endDate=" + endDate + "&archivestate=" + archivestate+ "&deathFlag=" + deathFlag;
});